1. willyq711's Avatar
    I am greatly frustrated at this point with Blackberry Blend connectivity!!

    I am using a Microsoft Surface Pro 2, running the latest Windows 8.1. I've now owned my Passport for almost 2 months, and in that time, my Blackberry Blend HAS YET TO WORK!! Blend goes through the process of connecting to my phone, whereby is switches from Pairing, Connecting, etc, etc. When it gets the last part, it always comes up with this error:
    Cannot Connect with Blackberry Blend - Using Passport / Windows 8.1-blend_error.jpg

    I have had a ticket open directly with Blackberry for 7 weeks now, and it's been escalated three times. At first, it didn't even detect my phone, then when the update for Blend came out around 3 weeks ago, it at least detected the phone. ALL settings on the phone are on and have been checked at least 100 times at this point. I have attempted on three different networks and three different computers, yet to NO AVAIL! This is ridiculous at this point that even Blackberry Support does not have a fix or is able to get it working after even sending them TWO log files! They even told me to download BVE from the Blackberry App store to test my phone's hardware, and all has returned OK.

    Has anyone else had any kind of issues with Blackberry Blend that can chime in here, or even better, A FIX!!!!
    01-13-15 02:05 PM
  2. BCITMike's Avatar
    When I see this, I turn blend on from quick setting and reconnect. Works. Turn it off and back on.

    I have had to reboot my phone a few times, but that got a different general error about not connecting.

    Posted via CB10
    01-13-15 03:06 PM
  3. Mellfee's Avatar
    I'm having this issue with my Z10. Just upgraded to 10.3.1 and was keen to see Blend working but I can't get it to connect. It discovers, attempts to pair then asks me to upgrade. I've been through all the trouble shooting and made sure everything is set correctly. No luck.
    02-20-15 12:52 PM
  4. BlackB_Sam's Avatar
    I'm having this issue with my Z10. Just upgraded to 10.3.1 and was keen to see Blend working but I can't get it to connect. It discovers, attempts to pair then asks me to upgrade. I've been through all the trouble shooting and made sure everything is set correctly. No luck.
    Same here...
    03-03-15 09:37 AM

Similar Threads

  1. Blackberry Passport owners
    By vbayma in forum Discover BBM Groups
    Replies: 8
    Last Post: 07-21-16, 02:30 PM
  2. Replies: 2
    Last Post: 09-18-15, 01:39 AM
  3. Is there a BBM Group for Passport Owners?
    By vbayma in forum BlackBerry Passport
    Replies: 4
    Last Post: 01-13-15, 02:31 PM
  4. BlackBerry 10 device simulators updated to 10.3.1.2072
    By CrackBerry News in forum CrackBerry.com News Discussion
    Replies: 0
    Last Post: 01-13-15, 01:51 PM
  5. BlackBerry Classic now available in the UK from O2
    By CrackBerry News in forum CrackBerry.com News Discussion
    Replies: 0
    Last Post: 01-13-15, 01:40 PM
LINK TO POST COPIED TO CLIPBOARD